This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 112244 - Makefile.port for building C extension functions is missing
Makefile.port for building C extension functions is missing
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: postgresql (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-16 11:38 EST by andrew
Modified: 2013-07-02 22:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-14 15:15:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description andrew 2003-12-16 11:38:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5)
Gecko/20031007

Description of problem:
If you try to build any of the sample extension DLLs in
/usr/share/doc/postgresql-docs-7.3.4/tutorial (or try to make your own
functions), you need to include /usr/include/pgsql/Makefile.global to
set up the PG build environment in your Makefile.

However, Makefile.global needs to include
$(top_builddir)/src/Makefile.port to set platform-specific build options.

Unfortunately, "Makefile.port" is (a) not included in the RPM, and (b)
is hard-coded to reside in the "src" directory (see Makefile.global).


Version-Release number of selected component (if applicable):
7.3.4-3.rhl9

How reproducible:
Always

Steps to Reproduce:
See description.

Actual Results:  Cannot build shared object server extensions.

Expected Results:  Should be able to build 'em.

Additional info:
Comment 1 Tom Lane 2004-02-25 19:34:05 EST
We can certainly include Makefile.port in the RPM, but I don't think
that gets the job done --- the tutorial Makefile is designed for
building in a normal build tree, as is Makefile.global itself.
There doesn't seem to be any easy way to use these makefiles in
building modules after-the-fact using files installed where the
RPMs put them.  I think I'll have to punt on this for the moment,
and consult Lamar Owen and some other people about what to do.
Comment 2 Tom Lane 2005-01-14 15:15:49 EST
This is fixed (finally) in PostgreSQL 8.0, which we should have in
Fedora Core 4.

Note You need to log in before you can comment on or make changes to this bug.